models
Get modelsruns predictions
GET
/
models
/
runs
/
{uid}
/
predictions
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/models/runs/{uid}/predictions/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/models/runs/{uid}/predictions/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/models/runs/{uid}/predictions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"dataset_uid": "<string>",
"dataset_item_uid": "<string>",
"predictions": {
"nodes": [
{
"annotation_info": {
"task_name": "<string>",
"task_object": "<string>",
"object_uuid": "<string>",
"data": {}
},
"status": "<string>",
"uid": "<string>",
"project_index": 123,
"children": "<array>",
"annotator": {
"username": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"picture": "<string>"
},
"reviewer": {
"username": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"picture": "<string>"
}
}
]
}
}
]Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?
⌘I
cURL
